import { GraphConfigData, Point } from "@logicflow/core";
import React, { useState } from "react";
import Renderer from "./components/FlowChart/Renderer";

const data: GraphConfigData = {
  nodes: [
    {
      id: "n-1",
      type: "rect",
      x: 100,
      y: 100,
      text: "你好",
    },
    {
      id: "n-2",
      type: "rect",
      x: 300,
      y: 120,
      text: "芝士",
    },
  ],
  edges: [
    {
      id: "e-1",
      type: "polyline",
      sourceNodeId: "n-1",
      targetNodeId: "n-2",
    },
  ],
};

const App: React.FC = () => {
  const [chartData] = useState<GraphConfigData>(data);
  const [pointsList, setPointsList] = useState<Point[]>();

  return (
    <>
      <Renderer chartData={chartData} setPointsList={setPointsList} />
      <b>pointsList:</b>
      <ol>
        {pointsList?.map((item, index) => (
          <li key={index}>
            [{item.x},{item.y}]
          </li>
        ))}
      </ol>
    </>
  );
};

export default App;
